- Main Page
- Namespaces
- Classes
- Files
- Directories

- Search for |

- Namespace List
- Namespace Members

# LAP Namespace Reference

Performs one round of Lift & Project using CglLandPSimplex to build cuts. More...

## Classes
class | LapMessages
| Output messages for Cgl. More...
class | LandPMessages
| Message handler for lift-and-project simplex. More...
class | CglLandPSimplex
struct | TabRow
struct | Cuts
| To store extra cuts generated by columns from which they origin. More...
class | Validator
| Class to validate or reject a cut. More...
## Enumerations
enum | LapMessagesTypes { BEGIN_ROUND, END_ROUND, DURING_SEP, CUT_REJECTED, CUT_FAILED, CUT_GAP, LAP_CUT_FAILED_DO_MIG, LAP_MESSAGES_DUMMY_END }
enum | LAP_messages { Separating, FoundImprovingRow, FoundBestImprovingCol, WarnFailedBestImprovingCol, LogHead, PivotLog, FinishedOptimal, HitLimit, NumberNegRc, NumberZeroRc, NumberPosRc, WeightsStats, WarnBadSigmaComputation, WarnBadRowComputation, WarnGiveUpRow, PivotFailedSigmaUnchanged, PivotFailedSigmaIncreased, FailedSigmaIncreased, WarnBadRhsComputation, WarnFailedPivotTol, WarnFailedPivotIIf, RoundStats, CutStat, DUMMY_END }
| Types of messages for lift-and-project simplex. More...
## Functions
double | normCoef (TabRow &row, int ncols, const int *nonBasics)
| Compute $ {{j=1}^n | a_{ij} |}{1 - a_{i0}} $ for row passed as argument.
void | scale (OsiRowCut &cut)
| scale the cut passed as argument
void | scale (OsiRowCut &cut, double norma)
| scale the cut passed as argument using provided normalization factor
void | modularizeRow (TabRow &row, const bool *integerVar)
| Modularize row.
double | intersectionCutCoef (double alpha_i, double beta)
| return the coefficients of the intersection cut
double | modularizedCoef (double alpha, double beta)
| compute the modularized row coefficient for an integer variable
bool | int_val (double value, double tol)
| Says is value is integer.

## Detailed Description

Performs one round of Lift & Project using CglLandPSimplex to build cuts.

## Enumeration Type Documentation

enum LAP::LapMessagesTypes

Enumerator:

  BEGIN_ROUND |
  END_ROUND |
  DURING_SEP |
  CUT_REJECTED |
  CUT_FAILED |
  CUT_GAP |
  LAP_CUT_FAILED_DO_MIG |
  LAP_MESSAGES_DUMMY_END |

Definition at line 26 of file CglLandP.hpp.

enum LAP::LAP_messages

Types of messages for lift-and-project simplex.

Enumerator:

  Separating |
  FoundImprovingRow |
  FoundBestImprovingCol |
  WarnFailedBestImprovingCol |
  LogHead |
  PivotLog |
  FinishedOptimal |
  HitLimit |
  NumberNegRc |
  NumberZeroRc |
  NumberPosRc |
  WeightsStats |
  WarnBadSigmaComputation |
  WarnBadRowComputation |
  WarnGiveUpRow |
  PivotFailedSigmaUnchanged |
  PivotFailedSigmaIncreased |
  FailedSigmaIncreased |
  WarnBadRhsComputation |
  WarnFailedPivotTol |
  WarnFailedPivotIIf |
  RoundStats |
  CutStat |
  DUMMY_END |

Definition at line 22 of file CglLandPMessages.hpp.

## Function Documentation

double LAP::normCoef | ( | TabRow & | row,
|  | int | ncols,
|  | const int * | nonBasics |
| ) |  |  |

Compute $ {{j=1}^n | a_{ij} |}{1 - a_{i0}} $ for row passed as argument.

void LAP::scale | ( | OsiRowCut & | cut | ) |

scale the cut passed as argument

void LAP::scale | ( | OsiRowCut & | cut,
|  | double | norma |
| ) |  |  |

scale the cut passed as argument using provided normalization factor

void LAP::modularizeRow | ( | TabRow & | row,
|  | const bool * | integerVar |
| ) |  |  |

Modularize row.

double LAP::intersectionCutCoef | ( | double | alpha_i,
|  | double | beta |
| ) |  |  | `[inline]`

return the coefficients of the intersection cut

Definition at line 35 of file CglLandPUtils.hpp.

double LAP::modularizedCoef | ( | double | alpha,
|  | double | beta |
| ) |  |  | `[inline]`

compute the modularized row coefficient for an integer variable

Definition at line 42 of file CglLandPUtils.hpp.

bool LAP::int_val | ( | double | value,
|  | double | tol |
| ) |  |  | `[inline]`

Says is value is integer.

Definition at line 52 of file CglLandPUtils.hpp.